cURL
curl --request POST \ --url https://whitebit.com/api/v4/mining/rewards \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "account": "miner123", "from": 1640995200, "to": 1641081600, "limit": 30, "offset": 0 } '
{ "offset": 123, "limit": 123, "data": [ { "miningAccountName": "miner123", "payoutDestination": "external_address", "payoutTransactionHash": "0e3e2357e806b6cdb1f70b54c3a3a17b6714ee1f0e68bebb44a74b1efd512098", "totalReward": "0.00125", "reward": "0.001", "rewardCurrency": "BTC", "fee": "0.00025", "fppsRate": "0.000125", "hashRate": "100", "date": 1641081600 } ] }
API key authentication using signed requests
Mining pool account
"miner123"
Date timestamp starting from which rewards are received
1640995200
Date timestamp until which rewards are received
1641081600
1 <= x <= 100
30
0 <= x <= 10000
0
Successful response
Show child attributes
Was this page helpful?